Get a report execution
curl --request GET \
--url https://app-api.costory.io/report-executions/{executionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://app-api.costory.io/report-executions/{executionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-api.costory.io/report-executions/{executionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"destinationId": "<string>",
"scheduledFor": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"sentAt": "2023-11-07T05:31:56Z",
"errorMessage": "<string>",
"widgets": [
{
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"executionId": "<string>",
"reportWidgetId": "<string>",
"resolvedParameters": {
"type": "TOP_FLOP",
"topN": 1,
"flopN": 1,
"advancedExplorerRequest": {
"period": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"forecastDays": 1,
"comparisonPeriod": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"enabled": true
}
},
"queries": [
{
"type": "condition",
"expression": "<string>",
"name": "<string>",
"colorIndex": 123,
"alias": "<string>",
"visible": true
}
],
"eventsFilter": {
"githubSourceRepos": [],
"enableAllGithubRepos": true,
"customBusinessEvents": true,
"customTechnicalEvents": true,
"labels": [],
"commitments": false,
"reservations": false,
"marketplacePurchases": false,
"skuPriceChanges": false,
"sources": []
},
"bookmarkedEvents": [
"<string>"
],
"scopeId": "<string>",
"limitOverride": 500
},
"cutOff": 10,
"comparison": {
"kind": "PREVIOUS_PERIOD"
}
},
"result": {
"type": "TOP_FLOP",
"top": [
{
"name": "<string>",
"value": 123,
"variation": 123,
"difference": 123
}
],
"flop": [
{
"name": "<string>",
"value": 123,
"variation": 123,
"difference": 123
}
],
"comparisonPeriodSummary": "<string>",
"explorerUrl": "<string>"
},
"errorMessage": "<string>"
}
],
"destination": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"reportId": "<string>",
"organizationId": "<string>",
"metricId": "<string>",
"groupBy": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"conditions": {},
"scopeId": "<string>",
"destinationValues": [
"<string>"
]
},
"report": {
"id": "<string>",
"name": "<string>",
"organizationId": "<string>"
}
}{
"error": "VALIDATION_ERROR",
"details": "<string>",
"reason": "<string>"
}{
"error": "<string>"
}{
"error": "NOT_FOUND"
}Reports
Get a report execution
GET
/
report-executions
/
{executionId}
Get a report execution
Authorizations
Send Authorization: Bearer <credential> using either a Clerk session JWT or a Clerk API key (ak_*). API keys may identify a user (user_*) or organization (org_*) principal and are generated in the Clerk Dashboard under API keys.
Path Parameters
Response
Execution detail with widgets and destination
Available options:
PENDING, SUCCESS, FAILED Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on July 24, 2026
Was this page helpful?
⌘I
